ezmlm-sub(1)

NAME
ezmlm-sub - manually add addresses to a mailing list

SYNOPSIS
ezmlm-sub [ -HmMnNvV ][ -h hash ] dir [ subdir ] [ box@domain [ name ] ... ]

DESCRIPTION
ezmlm-sub adds each address box@domain to the mailing list stored in dir/subdir. name is added as a comment to the subscription log, if the -n switch is used. If no argument is given on the command line, ezmlm-sub will process standard input instead. If box@domain is already on the mailing list, ezmlm-sub leaves it there and does not modify the subscription log. ezmlm-sub converts domain to lowercase before adding box@domain to the mailing list. box@domain cannot be longer than 400 characters (255 characters with mysql support).

GENERAL OPTIONS

-h hash
    With SQL support, the argument is used as the hash. The argument should be between 1 and 99. The hash is used in in the distribution of addresses between sublists. As the hash is normally between 0 and 52, controlling the hash makes it possible to add addresses that cannot be manipulated remotely. A hash of 99 is reserved for sublists, and a hash of 98 is reserved for ``receipt'' addresses serviced by ezmlm-receipt().

-H  (Default.) The address is added with a hash in the normal range (0..52). Only used by SQL subscriber databases.

-m  (Default.) Use the configured subscriber database for the list.

-M  Use the standard subscriber database even if the list was configured to use another plugin. This is equivalent to specifying -S std.

-n  Assume arguments are pairs of box@domain and name (or other subscriber info) rather than addresses alone. ezmlm-sub(1) will add the first argument in each pair to the subscriber list. If it is a new address, name will be added to the subscription log.

-N  (Default.) Arguments are all addresses of the type box@domain.

-S subdb
    Connect to the given subscriber database plugin. This option can be used to manipulate alternate subscriber databases. The contents of the parameter should be the same as would be given to ezmlm-make -6. Use in combination with ezmlm-list(1) to convert an SQL address db to a ezmlm standard address database.

-v  Display ezmlm-sub(1) version information.

-V  Display ezmlm-sub(1) version information.

SEE ALSO
ezmlm-list(1), ezmlm-manage(1), ezmlm-make(1), ezmlm-receipt(1), ezmlm-send(1), ezmlm-unsub(1), ezmlm(5)